"""HTML parsers utilities

This file is a part of Bookmarks database and Internet robot.
"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 2010-2017 PhiloSoft Design"
__license__ = "GNU GPL"

__all__ = ['HTMLParser']


from HTMLParser import HTMLParser

class HTMLParser(HTMLParser):
    def __init__(self, charset, meta_charset, title, refresh, icon):
        object.__init__(self)
        self.charset = charset
        self.meta_charset = meta_charset
        self.title = title
        self.refresh = refresh
        self.icon = icon
